%entity-card--listing {
  border: 1px solid $gray-300;

  &:hover {
    background-color: $gray-100;
  }

  @include media-breakpoint-up(sm) {
    &:hover {
      box-shadow: 0 .5rem 1rem rgba($blue, .15);
      border-color: $blue-100;
      background-color: transparent;
    }
  }
}

%entity-card {
  display: flex;
  gap: gap();
  flex-direction: column;
  padding: gap(4);
  border-width: 0 0 1px 0;
  border-style: solid;
  border-color: $gray-300;
  position: relative;
  transition: all ease-in-out .3s;

  @include media-breakpoint-up(sm) {
    border-width: 1px;
    border-color: $gray-100;
    border-radius: $border-radius;
    box-shadow: 0 .125rem .25rem rgba($black, .075);
  }

  .meta {
    display: flex;
    align-items: center;
    gap: gap(2);
    font-size: $meta-font-size;
    line-height: 1;
    color: $gray-600;
  }

  .author {
    display: flex;
    align-items: center;
    transition: color .3s ease-in-out;
    text-decoration: none;
    color: inherit;
    position: relative;
    z-index: 2;

    &:hover { color: $body-color; }

    img { margin-right: map-get($spacers, 1); border-radius: 50%; }
  }

  .title {
    margin: 0;

    a {
      @extend .stretched-link;
      text-decoration: none;
      color: unset;
    }
  }

  .content { position: relative; }
  .text { word-break: break-word; }

  // Count comments
  .count-comments {
    @extend .bi, .bi-chat-right-text;
    display: flex;
    align-items: center;

    &::before { margin-right: gap(1); }

    &.count-0 { @extend .bi-chat-right; }

    &-total:not(:last-child) { margin-right: gap(1);}

    &.has-new-comments {
      // @todo Create mixin for badge-like elements
      border-radius: $border-radius-pill;
      background-color: $orange-100;
      padding: $badge-padding-y $badge-padding-x;
      margin-top: -1 * $badge-padding-y;
      margin-bottom: -1 * $badge-padding-y;
    }

    &-new {
      margin-right: -2 * $badge-padding-y;
      // @todo Create mixin for badge-like elements
      color: $orange-700;
      background-color: rgba($orange-200, .62);
      border-radius: $border-radius-pill;
      padding: $badge-padding-y $badge-padding-x;
      margin-top: -1 * $badge-padding-y;
      margin-bottom: -1 * $badge-padding-y;
    }
  }

  // Accepted answer
  .has-accepted-answer {
    @extend .bi, .bi-check2-circle;
    border-radius: $border-radius-pill;
    background-color: $teal-100;
    padding: $badge-padding-y $badge-padding-x;
    margin-top: -1 * $badge-padding-y;
    margin-bottom: -1 * $badge-padding-y;

    &::before {
      color: $teal-700;
      margin-right: map-get($spacers, 1);
    }

    @include media-breakpoint-down(sm) {
      padding: $badge-padding-y;

      &::before { margin-right: 0; }

      .label { display: none; }
    }
  }

  // Status
  .status {
    @extend .bi;
    border-radius: $border-radius-pill;
    padding: $badge-padding-y;
    margin-top: -1 * $badge-padding-y;
    margin-bottom: -1 * $badge-padding-y;

    &.is-new {
      @extend .bi-fire;
      color: $orange-600;
      background-color: $orange-100;
    }

    &.is-accepted-answer {
      @extend .bi-check2-circle;
      color: $teal-700;
      border-radius: $border-radius-pill;
      background-color: $teal-100;
    }
  }
}

%entity-taxonomy {
  font-size: $meta-font-size;

  a {
    border-radius: $border-radius-pill;
    background-color: $blue-100;
    padding: $badge-padding-y $badge-padding-x;
    margin-top: -1 * $badge-padding-y;
    margin-bottom: -1 * $badge-padding-y;
    text-decoration: none;
    color: inherit;
    white-space: nowrap;
    transition: all 300ms ease-in-out;

    &:hover {
      background-color: $blue-200;
      color: $black;
    }
  }
}

%entity-actions {
  .links {
    display: flex;
    flex-wrap: wrap;
    gap: $spacer * .5;
    padding: $spacer * .75;
    margin: 0 $spacer * .75;
    list-style: none;
    background-color: $gray-300;
    border-radius: 0 0 $border-radius $border-radius;

    li {
      &:empty { display: none; }

      a {
        @extend .btn, .btn-secondary, .btn-sm;
        font-size: $font-size-xs;
        white-space: nowrap;

        &:first-letter { text-transform: uppercase; }

        // @note Workaround to make all links of the same color.
        // @todo Remove class 'active' from node links.
        &.active { background-color: $gray-600; }
      }
    }

    .placeholder {
      background: transparent;
      font-style: normal;
      opacity: 1;
    }
  }
}

%node-card {
  .count-comments { margin-right: auto; }
}

%comment-card {
  .reactions { margin-right: auto; }
}
